inet_ntop
ip2long
Network Functions
PHP Manual

# inet_pton

(PHP 5 >= 5.1.0)

inet_pton — Converts a human readable IP address to its packed in_addr representation

### Description

string inet_pton ( string `$address` )

This function converts a human readable IPv4 or IPv6 address (if PHP was built with IPv6 support enabled) into an address family appropriate 32bit or 128bit binary structure.

### Parameters

`address`

  A human readable IPv4 or IPv6 address.

### Return Values

Returns the in_addr representation of the given `address`

### Examples

Example #1 inet_pton() Example

`<?php
$in_addr = inet_pton('127.0.0.1');
$in6_addr = inet_pton('::1');
?>`

### Notes

### ChangeLog

Version | Description
--- | ---
5.3.0 | This function is now available on Windows platforms

### See Also

- ip2long()
- long2ip()
- inet_ntop()

inet_ntop
ip2long
Network Functions
PHP Manual